--
-- elevation
-- This is the specialization for the trailer elevation
--
-- @author  Frabel ls modding
-- @date  23/12/16

elevation = {};

function elevation.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Attachable, specializations);
end;

function elevation:load(savegame)
	self.getCanTipToGround = elevation.getCanTipToGround;	
end;
function elevation:delete()
end;

function elevation:mouseEvent(posX, posY, isDown, isUp, button)
end;

function elevation:keyEvent(unicode, sym, modifier, isDown)
end;

function elevation:update(dt)
                    
	end; 
function elevation:updateTick(dt)
  
end;

function elevation:draw()
    
end;

function  elevation:readStream(streamId, connection)
end;

function  elevation:writeStream(streamId, connection)
end;

function elevation:getCanTipToGround()
    if TipUtil.isValid() and not self.pipeStateIsUnloading[self.pipeCurrentState] and not self:getIsUnfolded() then
        local currentFillType = self:getUnitFillType(self.trailer.fillUnitIndex);
	        if currentFillType == FillUtil.FILLTYPE_UNKNOWN then
	            return true;
	        end
	        return TipUtil.getCanTipToGround(currentFillType);
	    else
	        return false;
	    end
	end
